import { HttpRequest, HttpHandler, HttpInterceptor } from '@angular/common/http';
import { Observable } from 'rxjs';
import { TranslateService } from '@ngx-translate/core';
import { NotificationService, AuthenticationService } from '@xdf/commons';
import { ConflictErrorDialogService } from '../views/dialogs/conflict-error-dialog/services/conflict-error-dialog.service';
import { Router } from '@angular/router';
export declare class HttpErrorHandleInterceptor implements HttpInterceptor {
    private router;
    private translate;
    private authenticationService;
    private notificationService;
    private conflictErrorDialogService;
    constructor(router: Router, translate: TranslateService, authenticationService: AuthenticationService, notificationService: NotificationService, conflictErrorDialogService: ConflictErrorDialogService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<any>;
}
