import { InjectionToken } from '@angular/core';
export declare const LOCALE_CONFIG: InjectionToken<DaterangepickerLocaleConfig>;
/**
 *  LocaleConfig Interface
 */
export interface DaterangepickerLocaleConfig {
    direction?: string;
    separator?: string;
    weekLabel?: string;
    applyLabel?: string;
    cancelLabel?: string;
    clearLabel?: string;
    customRangeLabel?: string;
    daysOfWeek?: string[];
    monthNames?: string[];
    firstDay?: number;
    format?: string;
    displayFormat?: string;
}
/**
 *  DefaultLocaleConfig
 */
export declare const DEFAULT_LOCALE_CONFIG: DaterangepickerLocaleConfig;
