import { ActivatedRouteSnapshot, RouterStateSnapshot, CanDeactivate } from '@angular/router';
import { ViewContainerRef } from '@angular/core';
import { Observable } from 'rxjs';
import { ConfirmationDialogService } from '../views/dialogs/confirmation-dialog/services/confirmation-dialog.service';
export interface IDirty {
    isDirty(): boolean;
    getRef(): ViewContainerRef;
}
export declare class DirtyGuard implements CanDeactivate<IDirty> {
    private confirmationDialogService;
    constructor(confirmationDialogService: ConfirmationDialogService);
    canDeactivate(component: IDirty, currentRoute: ActivatedRouteSnapshot, currentState: RouterStateSnapshot, nextState: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
}
